サポート対象プラットフォーム

このページの内容

このセクションの項目

お困りですか?

アトラシアン コミュニティをご利用ください。

コミュニティに質問

このページでは、Bitbucket Data Center および Server 8.12.x のサポート対象プラットフォームについて説明します。

Bitbucket でサポートされるプラットフォームの今後の変更についてはサポート終了のお知らせをご確認ください。

Please read the supplied information carefully and check if it applies to your instance. 

(tick) Supported you can use Bitbucket Data Center and Server 8.12.x with this platform.

(info) Limited you can evaluate Bitbucket on this platform, but you can't use it to run a production site. 

(warning) Deprecated  support for this platform will end in an upcoming release.

On this page:

ハードウェア

ハードウェア考慮事項

アーキテクチャ

x86-64

CPU

2+ cores

メモリ

3+ GB

  • 3 GB 以上のメモリが利用可能である必要があります。Bitbucket 用に 1 GB、Git 操作用に追加で 2 GB のメモリを用意することを推奨します。 
  • Your specific hardware requirements will depend on the number and frequency of Git operations and the number of active users. See Scaling Bitbucket Server for more information. 
  • For setting up Bitbucket Mesh, see requirements for Mesh nodes.

Environments

Environments考慮事項

(tick) Linux

(info) Apple macOS

  • 本番環境では、Bitbucket を専用のユーザー アカウントで実行する必要があります。
  • Linux support requires a 2.6.17+ kernel and glibc 2.7+. This means that Red Hat Enterprise Linux 5, which uses glibc 2.5, is no longer supported for Bitbucket Server 7.0+. 
  • If you've migrated all Git repositories from the Bitbucket shared home directory to Bitbucket Mesh, you can use the following file system options for the shared home directory: NFSv3 and NFSv4 (dedicated Linux server).

既知の問題

  • You can’t use NFS hosted on Windows for Bitbucket’s shared home directory.
  • Apple macOS is evaluation only. MacOS cannot be used for production deployment.

コンテナ化

You can use official images to deploy Bitbucket in a Docker container or customize a Docker deployment on your own.

We support the Atlassian Docker templates and can help with Bitbucket related problems. We don't provide support for Docker itself or problems with any Docker environment.

コンテナー化マネージャー

We recommend that you use official helm charts to deploy Bitbucket Data Center with Kubernetes or customize a Kubernetes deployment on your own with the reference to the official helm charts.

We support the Atlassian Kubernetes helm chart and can help with Bitbucket Data Center product-related problems. We don't provide support for Kubernetes itself or problems with any Kubernetes environment.

Read our Kubernetes support disclaimer and more about what we support and what we don’t.

Cloud platforms

Cloud platforms考慮事項

(tick) Amazon Web Services (AWS)

(tick) Microsoft Azure

See Recommendations for running Bitbucket in AWS for more information.

If you've migrated all Git repositories from Bitbucket's shared home directory to Bitbucket Mesh, you can use the following file system options for the shared home directory:

  • NFSv3, NFSv4 (dedicated Linux server)
  • Amazon Elastic File System (EFS) 
  • Amazon FSx for NetApp ONTAP NFS
  • Amazon FSx for OpenZFS
  • Amazon FSx for Lustre

Java

Java考慮事項

(tick) Java 17

(tick) Java 11 (supported from 11.0.8+)

(error) Java 10

(error) Java 9

(error) Oracle Java 8u321

(error) Oracle Java 8u311

(tick) Java 8 (supported from 1.8u65+)

  • Bitbucket will install a supported version of OpenJDK Java JRE that is only available to Bitbucket if necessary. See Running the Bitbucket installer.

  • If you choose to pre-install a JRE, we recommend using an OpenJDK Java 11 JRE. You can download one from the Eclipse Temurin™ website.

  • For OpenJDK, download and install instructions for Linux flavors at http://openjdk.java.net/install/.

  • Pre-installed Java on some AWS EC2 Linux instances might be installed with a subset of features. For more information, see SSH server fails to start on AWS EC2 instance.

  • Oracle の公式ビルド、Adoptium OpenJDK (旧称 AdoptOpenJDK) などの代替ビルド、および Red Hat Enterprise などの Linux ディストリビューションに同梱されるビルドを含む、標準の OpenJDK ビルドがサポートされます。 

  • 現在、AdoptOpenJDK は Adoptium OpenJDK と呼ばれています。
  • Oracle Java 8u311 and 8u321 are not supported due to JDK-8279618.

データベース

If you’re using PostgreSQL and glibc version lower than 2.28 and upgrading your operating system libraries, you’ll need to rebuild the PostgreSQL indices before you start Bitbucket if the upgrade increases the glibc version to 2.28 or later.

PostgreSQL
(tick) 10 - 15

既知の問題

Bitbucket を PostgreSQL に接続する

MySQL (Bitbucket Server only)

(tick) 8.0.11 以降

(tick) 5.7.9 以降

(tick) MariaDB 10.11

(tick) MariaDB 10.10

(tick) MariaDB 10.9

(tick) MariaDB 10.8

(tick) MariaDB 10.7.3+

(tick) MariaDB 10.6.3+

(tick) MariaDB 10.5.4+

(tick) MariaDB 10.4.6+

(tick) MariaDB 10.3.7+

既知の問題

MySQL は Bitbucket のサポート対象ですが、特に大規模なインスタンスにおいては現在推奨されません。これは、このデータベース エンジンでは、高い負荷下でパフォーマンスやデッドロックに関する固有の問題が確認されているためです。

詳細については「Bitbucket Server を MySQL に接続する」を、デッドロックの問題の全般的な情報については http://dev.mysql.com/doc/refman/5.0/en/innodb-deadlocks.html をご参照ください。

Bitbucket を次のバージョンで使用することはできません。

Do not use MySQL in Bitbucket Data Center.

Microsoft SQL Server / Microsoft SQL Server Express

(tick) 2019

(tick) 2017

(tick) 2016

(tick) 2014 

考慮事項

Using Windows Authentication between a Linux Bitbucket installation and SQL sever is not supported.

既知の問題

Oracle

(tick) 19c

(tick) 18c

(tick) 12c R2

No additional information or known issues
Amazon Aurora (Data Center only)
(tick) PostgreSQL 10 - 15

考慮事項

  • 唯一サポートされている Amazon Aurora 構成は、PostgreSQL 互換のクラスタ化されたデータベースで、1 つのライターが 0 個以上のリーダーにレプリケートされます。詳細情報

H2 (bundled)

(info) Bitbucket Server, evaluation only

(tick) Bitbucket Mirror

考慮事項

  • H2 は Bitbucket にバンドルされ、評価目的でのみ使用できます。
  • H2 (バンドル版) は、本番環境での Bitbucket Data Center のミラーでサポートされる唯一のデータベースです。
HSQLDB (bundled)
Bitbucket Server only, evaluation only
(warning) Deprecated

考慮事項

  • Bitbucket を外部データベースに接続する」をご参照ください。
  • HSQLDB is not supported in Bitbucket Data Center.
  • HSQLDB のサポートは Bitbucket 4.0 以降で廃止されています。新しい Bitbucket インストールには H2 がバンドルされ、これが評価用の既定のデータベースとして使用されます。

連携

サポート対象のバージョンの組み合わせについては、「アトラシアン アプリケーションと連携する」をご参照ください

CI/CD

ご利用の環境で可能な限りの安全性や安定性を実現するため、ご利用の CI サーバーの最新バージョンにアップグレードすることをおすすめします。Bitbucket と CI アプリケーションのリンクの詳細については「埋め込みの CI/CD」をご確認ください。

Jenkins
(tick) 2.162 以降

考慮事項

Bamboo

(tick) 5.6 〜 6.10

(tick) 7.0 以降 

考慮事項

ブラウザ

ブラウザ考慮事項

(tick) Chrome

(tick) Firefox 

(tick) Edge 

(tick) Safari

  • Bitbucket でサポートされるブラウザの最小解像度は 1100 px です。
  • Bitbucket ではChromium ベースの Microsoft Edge の最新の安定バージョンがサポートされ、従来の Microsoft Edge (バージョン 18 以前) はサポートされません。
  • モバイル ブラウザはサポートされません。

DVCS

Git – server

(tick) 2.41.x - 2.42.x (from 8.12.2+)

(tick) 2.31.x - 2.40.x

考慮事項

可能な限り、Bitbucket インスタンスとクライアントの両方でサポート対象の最新バージョンの Git を使用することをおすすめします。その際は次の注意事項や例外をご確認ください。

  • Bitbucket とやり取りするマシン上にインストールされている Git のバージョンは、Bitbucket インスタンス用にインストールされている Git のバージョンとの互換性を持つ必要があります。

Git – client
(tick) 1.8.4.3+
(tick) 1.6.6+

考慮事項

  • A bug was fixed in Git version 1.8.4.3 that prevented http push proxying from working. 
Git LFS client
(tick) 3.0.0+
(tick) 2.0.0+
(tick) 1.1.0+

考慮事項

  • Git LFS 3.0 には、Bitbucket Data Center およびサーバー 7.16.0 以前との後方互換性を持つ変更が含まれます。

Internet protocols

Internet protocols考慮事項

(tick) IPv4

(tick) IPv6

When using Bitbucket in IPv6 environments, we recommend that hostnames rather than IP addresses are used.

検索

Search servers考慮事項

Elasticsearch

(tick) 7.17.10

(tick) 7.17.6

(tick) 7.16.2、7.16.3

(tick) 7.10.2

OpenSearch

(tick) 1.3

(tick) 1.2

Amazon OpenSearch Service

(tick) OpenSearch 1.3

(tick) OpenSearch 1.2

(tick) OpenSearch 1.1

(tick) Elasticsearch 7.10

Additional tools

ツール考慮事項

Perl

(tick) 5.8.8 以降

OpenSSH

(tick) 7.2 以降

  • Perl は通常、Git とともに自動的に提供されます。
最終更新日: 2024 年 2 月 1 日

この内容はお役に立ちましたか?

はい
いいえ
この記事についてのフィードバックを送信する

このセクションの項目

Powered by Confluence and Scroll Viewport.